#include <string>
#include <fstream>

using namespace std;

class logg
{
	string buffer;
	string f_name;//log file name
	string f_path;//log dir
	string f_log;//f_path+f_name
public:
	logg();
	void SaveLog(string name);
	void AppendChar(char);
	void AppendString(string);
	void FlushBuffer();
	void SendLog();
	string GetPath();
};